package editeur;

import java.awt.Graphics;
import java.awt.Point;
import java.util.List;

public class Ellipse {
	private Point[] points = new Point[2];
	private int xmin, xmax, ymin, ymax;

	public Ellipse(List<Point> points) {
		if (points.size() != 2)
			throw new IllegalArgumentException();
		points.toArray(this.points);
		xmin = Math.min(this.points[0].x, this.points[1].x);
		ymin = Math.min(this.points[0].y, this.points[1].y);
		xmax = Math.max(this.points[0].x, this.points[1].x);
		ymax = Math.max(this.points[0].y, this.points[1].y);		
	}
	
	public void dessine(Graphics g) {
		g.drawOval(xmin, ymin, xmax - xmin, ymax - ymin);
	}

	public String toString() {
		return "Ellipse (" + xmin + "," + ymin + ") (" + xmax + "," + ymax
				+ ")";
	}
}
